jphase.distributions

## Class EDistribution

- java.lang.Object
- - jphase.distributions.EDistribution

- All Implemented Interfaces:
    IDistribution

      public abstract class EDistribution
      extends java.lang.Object
      implements IDistribution

  This is an abstract class that implements some of the methods that define a distribution
  Author:
    Andrés Sarmiento. Universidad de los Andes. (C) 2013

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `umontreal.iro.lecuyer.probdist.ContinuousDistribution` | `distribucion` The distribution object
    `umontreal.iro.lecuyer.randvar.RandomVariateGen` | `generador` The actual generator
    `java.util.ArrayList<java.lang.String>` | `generadores` List of generators
    `java.util.ArrayList<java.lang.String>` | `parametros` List of parameters

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EDistribution()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `umontreal.iro.lecuyer.probdist.ContinuousDistribution` | `darDistribucion()` Returns the LeCruyer distribuion object
    `umontreal.iro.lecuyer.randvar.RandomVariateGen` | `darGenerador()` Return the current random variate generator
    `java.util.ArrayList<java.lang.String>` | `darGeneradores()` Return the set of available generators
    `java.util.ArrayList<java.lang.String>` | `darParametros()` Returns the name of the distribution parameters
    `org.jfree.data.xy.DefaultTableXYDataset` | `getPDF(double a, double b, int m)` Returns and dataset with the PDF of the distribution in different points, this method is necessary for painting the distribution
    `double` | `nSig(double valor, int cifSignifica)` Returns the double valor rounding to cifSignifica number significative numbers
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jphase.distributions.IDistribution

      `ajustarParametros, aString, darGenerador, darGenerador, getMoments, getName`

- - ### Field Detail

    - #### distribucion

          public umontreal.iro.lecuyer.probdist.ContinuousDistribution distribucion

      The distribution object

    - #### generadores

          public java.util.ArrayList<java.lang.String> generadores

      List of generators

    - #### parametros

          public java.util.ArrayList<java.lang.String> parametros

      List of parameters

    - #### generador

          public umontreal.iro.lecuyer.randvar.RandomVariateGen generador

      The actual generator

  - ### Constructor Detail

    - #### EDistribution

          public EDistribution()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### darParametros

          public java.util.ArrayList<java.lang.String> darParametros()

      Returns the name of the distribution parameters
      Specified by:
        `darParametros` in interface `IDistribution`
      Returns:
        distribution parameters

    - #### darDistribucion

          public umontreal.iro.lecuyer.probdist.ContinuousDistribution darDistribucion()

      Returns the LeCruyer distribuion object
      Specified by:
        `darDistribucion` in interface `IDistribution`
      Returns:
        the distrition

    - #### darGenerador

          public umontreal.iro.lecuyer.randvar.RandomVariateGen darGenerador()

      Return the current random variate generator
      Specified by:
        `darGenerador` in interface `IDistribution`
      Returns:
        the actual distribution

    - #### darGeneradores

          public java.util.ArrayList<java.lang.String> darGeneradores()

      Return the set of available generators
      Specified by:
        `darGeneradores` in interface `IDistribution`
      Returns:
        generator

    - #### nSig

          public double nSig(double valor,
                    int cifSignifica)

      Returns the double valor rounding to cifSignifica number significative numbers
      Parameters:
        `valor` - value to be rounded
        `cifSignifica` - number of significance
      Returns:
        rounded number

    - #### getPDF

          public org.jfree.data.xy.DefaultTableXYDataset getPDF(double a,
                                                       double b,
                                                       int m)

      Description copied from interface: `IDistribution`
      Returns and dataset with the PDF of the distribution in different points, this method is necessary for painting the distribution
      Specified by:
        `getPDF` in interface `IDistribution`
      Parameters:
        `a` - minimum point
        `b` - maximum point
        `m` - number of x domain points
      Returns:
        The table